<?php 
use_helper('UrlFunctions'); 
use_helper('UtilFunctions'); 




$o_BalanceDiaNew = new BalanceDiaBean();
$o_BalanceDiaNew->setIdColaboradorPermitido($a_Colaborador); 
$o_BalanceDiaNew->setIdSucursal($Idsucursal); 


$o_BalanceDiaNewDP 		= new BalanceDiaDP($o_BalanceDiaNew);
$fechaBalanceAbierto  	= $o_BalanceDiaNewDP->ObtenerDiaAbierto();



?>

<script>

function updateTotales(idvalor){
	var t_valores = $$('.valores');
	var t_billete = $$('.billete');
	var t_moneda  = $$('.moneda');
	var t_idvalorb  = $$('.idvalorb');
	//alert('');
	var t_idvalorm  = $$('.idvalorm');
	var montoTB = 0;
	var subtotalB = 0;
	var montoTM = 0;
	var subtotalM = 0;
	var subtotalB = 0;
	
	//alert(idvalor);
	var cantidad = parseFloat($('cantidad_'+idvalor).value);
	var monto = parseFloat($('monto_'+idvalor).value);
	
	var subtotal = parseFloat(cantidad*monto);
	$('d_valor_'+idvalor).innerHTML = subtotal.toFixed(2);
	//alert($('d_billete_'+idvalor));
	//alert('---');
	for(var i=0; i< t_billete.length; i++){
		
		idvalorTB = t_idvalorb[i].value; 
		cantidadTB = $('cantidad_'+idvalorTB).value;
		montoTB = $('monto_'+idvalorTB).value;
		subtotalB  = subtotalB + (cantidadTB*montoTB);
		
	}
	Total = subtotalB;
	
	subtotalB = parseFloat(subtotalB);
	subtotalB = subtotalB.toFixed(2);
	$('totalBillete').innerHTML = subtotalB;
	
	for(var i=0; i< t_idvalorm.length; i++){
		
		idvalorTM = t_idvalorm[i].value; 	 
		//alert("id:"+idvalorTM);
		cantidadTM = $('cantidad_'+idvalorTM).value;
		//alert("cantidad:"+cantidadTM);
		montoTM = $('monto_'+idvalorTM).value;
		//alert("monto:"+montoTM);
		cantidadTM = parseFloat(cantidadTM);
		montoTM = parseFloat(montoTM);
		subtotalM  = subtotalM + (cantidadTM*montoTM);
		
		
	}
	
	Total = Total + subtotalM;
	
	
	subtotalM = parseFloat(subtotalM);
	subtotalM = subtotalM.toFixed(2);
	$('totalMoneda').innerHTML = subtotalM;
	
	
	
	Total = Total.toFixed(2);
	
	$('totalEfectivo').innerHTML = Total;
		
	//$ moneda_
	
	//$('SumatoriaTotal').innerHtml = SumatoriaValorSaldo;
	
}
	
actualizaJSON = function(request, json){
	  var numeroElementos = json.length;
	  for (var i = 0; i < numeroElementos; i++){
	    if($(json[i][0])){
	  	  switch ($(json[i][0]).tagName){
	  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
	  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
	  	    case 'SELECT'  : 
	  	      var objDDL = $(json[i][0]);
	  	      if(typeof(cont) == 'undefined'){
	  	        var cont = 0;
	  	        objDDL.options.length = 1;
	  	      }
	  	      var a_contentValues = json[i][1].split("_;_");
	      	  var value	= a_contentValues[0];
	      	  var text	= a_contentValues[1];
	      	  var selct	= a_contentValues[2];
	      	  if( selct == 'selected'){
	      	  	
	  	      	var option	= new Option(text,value,"defauldSelected");
	      	  }else{
	      	  	var option	= new Option(text,value);
	      	  }
	      		try{
	      			objDDL.add(option,null);
	      		}catch (e){
	      			objDDL.add(option,-1);
	      		}
	  	      cont++;
	  	    break;
	  	  }
	    }else{
	      if(json[i][0].indexOf("function") > -1){
	        eval("scriptEval = "+json[i][0]);
	        scriptEval();
	      }
	    }
	  }
	}
</script>
<?php


$o_ArArqueoCabeceraFN = new ArArqueoCabeceraFN();
$o_ArArqueoCabeceraFN->setIdclase($idClase);
$o_ArArqueoCabeceraFN->setIdsucursal($Idsucursal);
$o_ArArqueoCabeceraFN->setIdmercado($Idmercado);
$o_ArArqueoCabeceraFN->setIdcolaborador($Idcolaborador);
$o_ArArqueoCabeceraFN->setFecha($fecha);
$o_ArArqueoCabeceraBN = $o_ArArqueoCabeceraFN->selectByPK();


//print_r($o_ArArqueoCabeceraBN);

$fechaArqueo = $o_ArArqueoCabeceraBN->getFecha();

$a_ArClase = new ArClaseFN();
$a_claseFN = $a_ArClase->select();


$o_ArValor = new ArValorFN();
$o_ArValor->setTipoValor("BILLETE");
$o_ArValor->setEstado("P");
$o_ArValor->setEliminado(-1);
$a_valorFN_B = $o_ArValor->select();

//print_r($a_valorFN_B);


$o_ArValor = new ArValorFN();
$o_ArValor->setTipoValor("MONEDA");
$o_ArValor->setEstado("P");
$o_ArValor->setEliminado(-1);
$a_valorFN_M = $o_ArValor->select();

$o_ArArqueoDetalleValorFN = new ArArqueoDetalleValorFN();
$o_ArArqueoDetalleValorFN->setIdclase($idClase);
$o_ArArqueoDetalleValorFN->setIdsucursal($Idsucursal);
$o_ArArqueoDetalleValorFN->setIdmercado($Idmercado);
$o_ArArqueoDetalleValorFN->setIdcolaborador($Idcolaborador);
$o_ArArqueoDetalleValorFN->setFecha($fecha);
$a_o_ArArqueoDetalleValorFN = $o_ArArqueoDetalleValorFN->select();
/*
echo "<pre>";
print_r($a_o_ArArqueoDetalleValorFN);
echo "</pre>";
*/
if(is_array($a_o_ArArqueoDetalleValorFN)){
	foreach ($a_o_ArArqueoDetalleValorFN as $key => $o_ArArqueoDetalleValorFN){
		$a_Arqueovalor[$o_ArArqueoDetalleValorFN->getIdvalor()]["cantidad"] = $o_ArArqueoDetalleValorFN->getCantidad();
		$a_Arqueovalor[$o_ArArqueoDetalleValorFN->getIdvalor()]["subtotal"] = $o_ArArqueoDetalleValorFN->getSubtotal();
	}
}

if(isset($control)){
	
  	//print_r($_POST);
  	
  	
  	$o_ArArqueoDetalleValorFN = new ArArqueoDetalleValorFN();
	$o_ArArqueoDetalleValorFN->setIdclase($idClase);
	$o_ArArqueoDetalleValorFN->setIdsucursal($Idsucursal);
	$o_ArArqueoDetalleValorFN->setIdmercado($Idmercado);
	$o_ArArqueoDetalleValorFN->setIdcolaborador($Idcolaborador);
	$o_ArArqueoDetalleValorFN->setFecha($fecha);
	$a_o_ArArqueoDetalleValorFN = $o_ArArqueoDetalleValorFN->select();
	
	/*echo "<pre>";
	print_r($a_o_ArArqueoDetalleValorFN);
	echo "</pre>";
	*/
	if(is_array($a_o_ArArqueoDetalleValorFN)){
		foreach ($a_o_ArArqueoDetalleValorFN as $key => $o_ArArqueoDetalleValorFN){
			$o_ArArqueoDetalleValorDP = new ArArqueoDetalleValorDP();
			$o_ArArqueoDetalleValorDP->setIdclase($o_ArArqueoDetalleValorFN->getIdclase());
			$o_ArArqueoDetalleValorDP->setIdsucursal($o_ArArqueoDetalleValorFN->getIdsucursal());
			$o_ArArqueoDetalleValorDP->setIdmercado($o_ArArqueoDetalleValorFN->getIdmercado());
			$o_ArArqueoDetalleValorDP->setIdcolaborador($o_ArArqueoDetalleValorFN->getIdcolaborador());
			$o_ArArqueoDetalleValorDP->setFecha($o_ArArqueoDetalleValorFN->getFecha());
			$o_ArArqueoDetalleValorDP->setIdvalor($o_ArArqueoDetalleValorFN->getIdvalor());
			
			
			$o_ArArqueoDetalleValorDP->setValor($o_ArArqueoDetalleValorFN->getValor());
			$o_ArArqueoDetalleValorDP->setDescripcionvalor($o_ArArqueoDetalleValorFN->getDescripcionvalor());
			
			$o_ArArqueoDetalleValorDP->setCantidad($o_ArArqueoDetalleValorFN->getCantidad());
			
			$o_ArArqueoDetalleValorDP->setSubtotal($o_ArArqueoDetalleValorFN->getSubtotal());
			$o_ArArqueoDetalleValorDP->setFecharegistro($o_ArArqueoDetalleValorFN->getFecharegistro());
			$o_ArArqueoDetalleValorDP->setUsuarioregistro($o_ArArqueoDetalleValorFN->getUsuarioregistro());
			
			$o_ArArqueoDetalleValorDP->savelog();
		}

	}
  	
  	if(is_array($a_cantidad)){
  		foreach ($a_cantidad as $idvalork => $cantidad){
  			$o_ArArqueoDetalleValorDP = new ArArqueoDetalleValorDP();
  			$o_ArArqueoDetalleValorDP->setIdclase($idClase);
  			$o_ArArqueoDetalleValorDP->setIdsucursal($Idsucursal);
  			$o_ArArqueoDetalleValorDP->setIdmercado($Idmercado);
  			$o_ArArqueoDetalleValorDP->setIdcolaborador($Idcolaborador);
  			$o_ArArqueoDetalleValorDP->setFecha($fecha);
  			$o_ArArqueoDetalleValorDP->setIdvalor($idvalork);
  			
  			$o_ArValor = new ArValorFN();
			$o_ArValor->setIdvalor($idvalork);
			$a_valorBN = $o_ArValor->selectByPK();
			$d_valor = $a_valorBN->getValor();
			$d_descripcion = $a_valorBN->getDescripcion();
			
			$o_ArArqueoDetalleValorDP->setDescripcionvalor($d_descripcion);
			if(!$cantidad) $cantidad = "00.00";
			$o_ArArqueoDetalleValorDP->setCantidad($cantidad);
			$subtotal = $cantidad*$d_valor;
			if(!$subtotal)$subtotal= "00.00";
			$a_subtotal += $subtotal;
			$o_ArArqueoDetalleValorDP->setSubtotal($subtotal);
			$o_ArArqueoDetalleValorDP->setFecharegistro(date("Y-m-d H:i:s"));
			$o_ArArqueoDetalleValorDP->setUsuarioregistro(myUser::getUser()->getUserId());
			
			$o_ArArqueoDetalleValorDP->update();
			
  		}
  		//Cierre de la cabecera de Arqueo - Efectivo (VALOR)
  		$o_ArArqueoCabeceraDP = new ArArqueoCabeceraDP();
		$o_ArArqueoCabeceraDP->setIdclase($idClase);
		$o_ArArqueoCabeceraDP->setIdsucursal($Idsucursal);
		$o_ArArqueoCabeceraDP->setIdmercado($Idmercado);
		$o_ArArqueoCabeceraDP->setIdcolaborador($Idcolaborador);
		$o_ArArqueoCabeceraDP->setFecha($fecha);
		$o_ArArqueoCabeceraDP->setTotal($a_subtotal);
		$o_ArArqueoCabeceraDP->setFecharegistro(date("Y-m-d H:i:s"));
		$o_ArArqueoCabeceraDP->setUsuarioregistro(myUser::getUser()->getUserId());
  		$bResult = $o_ArArqueoCabeceraDP->update();
  		
  		
  		
  		
  	}
    
  
    if($bResult)
    {
        if( $typeSubmit == "next" )
        {
            ?>
            
             <script language="JavaScript">
             //parent.objMainTab.reqBody('<?=buildUrl('arqueo/list','')?>','&block=001');
    		 parent.objMainTab.windowsCloseAll();
            </script>
            
            <?
        }
        else 
        {
            ?>
            <script language="JavaScript">
            location.href = "<?php echo buildUrl( 'cli/datPer', "" ) ?>";
            </script>
            <?
        }
    }
    else
    {
        //$url = buildUrl('cli/add', "block=".$block."&error=1");
        echo '<div class="ui-widget" style="margin: 2px;"><div class="ui-state-error ui-corner-all" style="padding: 0 .7em;"><p><span class="ui-icon ui-icon-alert" style="float: left; margin-right: .3em;"></span><strong>Error:</strong>Error en actualizar el cliente.</p></div></div>';
    }
}


//if(is_array($a_ObjectBean)){
if(1){
  //while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	
  	
	
?>
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
	
	<tr>
		<td valign="top">
			 <form id="form1" name="form1" method="POST">
				<input type="hidden" name="control" value="1">
			  
                        <?php
                        $s_Param = '';
                        if( isset( $id ) )
                        {
                            $s_Param = 'id='.$id;
                        }
                        ?>
			  
                        <table id="tabShowScan" cellpadding="0" cellspacing="0" class="" style="margin-top: 5px;">
                            <tr>
                              <?php 
                              foreach ($a_claseFN as $ky => $o_claseFN){
                              	if($o_claseFN->getIdclase() == $idClase){
                              		$classIzq = "mnuActivoIzq";
                              		$classTxt = "mnuActivoTxt";
                              		$classDer = "mnuActivoDer";
                              
                              ?>	
                              <td class="<?php echo $classIzq;?>" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="7"></td>
                              <td class="<?php echo $classTxt;?>" type='maintTabguiaGeneral' nowrap <?php if($o_claseFN->getIdclase() == $idClase){?> onclick="location.href='<?php echo buildUrl('arqueo/add'.ucwords(strtolower($o_claseFN->getIdclase())), $s_Param) ?>';" <?php } ?>><?php echo $o_claseFN->getDescripcion();?></td>
                              <td class="<?php echo $classDer;?>" type='maintTabguiaGeneral'><img src="/images/common/spacer.gif" width="8"></td>
                              <td><img src="/images/common/spacer.gif"></td>
                              
                             
                              <?php }
                              }?>
                            </tr>
                        </table>
			  
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco marcoForm">
                            <tr>
                                <td nowrap="nowrap">
                                    <fieldset>
                                        
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td width="50%">
    
                                                    <table width="100%" cellpadding="5">
                                                        <tr>
                                                            <td width="10%"><label class="label">Fecha</label></td>
                                                            <td >
                                                                <label class="label"><?php echo $fechaBalanceAbierto;?></label>
                                                            </td>
                                                        </tr>
                                                        
                                                    </table>
                                                        
                                                </td>
                                                
                                               
                                            </tr>
                                            
                                    	</table>
                                    	
                                    	                
                                    </fieldset>
                                   
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td width="50%" valign="top">
  													 <fieldset>
                                        				<legend>Billetes</legend>  
		                                                  <table width="100%" cellpadding="5" cellspacing="0" border="0" class="grid">
		                                                        <tr>
		                                                            <th width="40%"><label class="label">Valor</label></th>
		                                                            <th width="20%"><label class="label">Cantidad</label></th>
		                                                            <th width="40%"><label class="label">Subtotal</label></th>
		                                                        </tr>
	                                                        	
	                                                        
	                                                        
	                                                        	<?php foreach ($a_valorFN_B as $key => $o_valorFN_B){?>
	                                                        	<tr>
		                                                            <td align="center"><label class="label"><?php echo $o_valorFN_B->getDescripcion();?></label></td>
		                                                            <td align="center"><label class="label"></label><?php mkCantidadEfectivo($o_valorFN_B->getIdvalor(),$o_valorFN_B->getTopeminimo(),$o_valorFN_B->getTopemaximo(),"billete",$a_Arqueovalor[$o_valorFN_B->getIdvalor()]["cantidad"])?></td>
		                                                            <td align="right"><div style="padding-right:60px" class="label billete" id="d_valor_<?php echo $o_valorFN_B->getIdvalor()?>" ><?php echo number_format((float)$a_Arqueovalor[$o_valorFN_B->getIdvalor()]["subtotal"],2);?></div>
		                                                            <input type="hidden" name="monto[]" id="monto_<?php echo $o_valorFN_B->getIdvalor();?>" value="<?php echo $o_valorFN_B->getValor();?>">
		                                                            <input type="hidden" name="idvalor" class="idvalorb" id="idvalor_<?php echo $o_valorFN_B->getIdvalor();?>" value="<?php echo $o_valorFN_B->getIdvalor();?>">
		                                                            </td>
		                                                            <?php $subtotal_b += $a_Arqueovalor[$o_valorFN_B->getIdvalor()]["subtotal"];?>
	                                                            </tr>
	                                                            <?php } ?>
		                                                         <tr>
		                                                             <td colspan="3"><label class="label">&nbsp;</label></td>
		                                                         </tr>
		                                                         <tr>
		                                                            
		                                                            <td align="right" colspan="3" style="border-top:1px solid #000"><div style="padding-right:60px;Font-weight:bold" class="label" id="totalBillete"><?php echo number_format($subtotal_b,2);?></div></td>
		                                                        </tr>
		                                                        
		                                                  </table>
		                                                    
                                                    </fieldset>    
                                                </td>
                                                 <td width="50%">
                                                 	<fieldset>
	                                        			<legend>Monedas</legend>  
	    												<table width="100%" cellpadding="5" cellspacing="0" border="0" class="grid">
	                                                        <tr>
	                                                            <th width="40%"><label class="label">Valor</label></th>
	                                                            <th width="20%"><label class="label">Cantidad</label></th>
	                                                            <th width="40%"><label class="label">Subtotal</label></th>
	                                                        </tr>
	                                                         
                                                        	<?php 
                                                        	foreach ($a_valorFN_M as $key => $o_valorFN_M){?>
                                                        	<tr>
	                                                            <td align="center"><label class="label"><?php echo $o_valorFN_M->getDescripcion();?></label></td>
	                                                            <td align="center"><?php mkCantidadEfectivo($o_valorFN_M->getIdvalor(),$o_valorFN_M->getTopeminimo(),$o_valorFN_M->getTopemaximo(),"moneda",$a_Arqueovalor[$o_valorFN_M->getIdvalor()]["cantidad"])?></td>
	                                                            <td align="right"><div style="padding-right:60px" class="label moneda" id="d_valor_<?php echo $o_valorFN_M->getIdvalor()?>"  monto="<?php echo $o_valorFN_M->getValor();?>"><?php $subtotal_m += $a_Arqueovalor[$o_valorFN_M->getIdvalor()]["subtotal"];echo number_format((float)$a_Arqueovalor[$o_valorFN_M->getIdvalor()]["subtotal"],2);?></div>
	                                                            <input type="hidden" name="monto" id="monto_<?php echo $o_valorFN_M->getIdvalor();?>" value="<?php echo $o_valorFN_M->getValor();?>"></td>
	                                                            <input type="hidden" name="idvalor" class="idvalorm" id="idvalor_<?php echo $o_valorFN_M->getIdvalor();?>" value="<?php echo $o_valorFN_M->getIdvalor();?>">
                                                            </tr>
                                                            <?php } ?>
                                                        
	                                                         <tr>
	                                                            
	                                                            <td align="right" colspan="3"style="border-top:1px solid #000"><div style="padding-right:60px;Font-weight:bold" class="label" id="totalMoneda"><?php echo number_format($subtotal_m,2);?></div></td>
	                                                        </tr>
	                                                        
	                                                    </table>
                                                      </fieldset>      
                                                </td>
                                               
                                            </tr>
                                            
                                           
                                    	
                                    	</table>
                                    	<table width="100%" border="0">
                                    		<tr>
                                    			<td align="right" width="84%">Total</td>
                                    			<td align="right" width="10%"><div style="Font-weight:bold" class="label" id="totalEfectivo"><?php echo number_format($subtotal_m+$subtotal_b,2);?></label></td>
                                    			<td align="right" width="6%">&nbsp;</td>
                                    		</tr>
                                    	</table>
                                    	
                                    	                
                                    
                                	
                                </td>
                            </tr>
                        </table>
                        
                        
                        
                        
				<table hspace="2px" width="96%" cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top" colspan="2">
                            
                            <table style="pad">
                            </table>
					
								<table width="100%" border="0" cellpadding="0" cellspacing="0" style="background: #fff">
									<tr>
										<td height="0" width="100%">
										   

											   <table width="100%" border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td><img src="/images/common/spacer.gif" width="10"></td>
													</tr>
													<tr>
													    <td align="center">
															<input type="hidden" name="typeSubmit" id="typeSubmit">
															<!--<input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='ok';">-->
															<input class="button" type="submit" value="Grabar" onclick="$('typeSubmit').value='next';">
															<!--<input class="button" type="button" value="Siguiente" onclick="location.href='<?php echo buildUrl('cli/datEval', $s_Param) ?>'"/>-->
															<input class="button" type="button" value="Cancelar" onclick="location.href='<?php echo buildUrl('arqueo/list', $s_Param."&block=001") ?>'"/>
													    </td>
													</tr>
													<tr>
														<td height="10">&nbsp;</td>
													</tr>
												</table>
											
										</td>
									</tr>
								</table>							
								
						</td>
					</tr>
				</table> 
			</form>
				<script type="text/javascript">
					var valid = new Validation('form1', {immediate : true});
				</script>
		</td>
	</tr>
</table>


<?php
  //}
}
?>
<script>
	//loadProvincias('cboProvincia','<?=$idDpto?>','<?=$idProv?>');
	//loadDistritos('cboDisitrio','<?=$idProv?>','<?=$idDist?>');
</script>

